Subject: [rddp] Framing and Standards Track

From: [email-masked]
Date: Thu, 23 Jan 2003 20:02:05 -0500

Somesh,

These questions are rather speculative, and their answers
have a strong dependency on the degree of presence or absence
of TCP modifications (even OPTIONAL modifications) in the
specific "TCP framing" mechanism.

> There are many standard track protocols over TCP that
> have framing/record delineation. NFS and iSCSI probably
> form the two ends in terms of complexity/features.

Indeed there are - such protocols contain no TCP modifications.

> I am sure many of us would like to see a standards track
> TCP framing.
> 
> Is there consensus that the TCP framing protocol be such
> that it can be standards track?

Not that I can see.  I believe the "no changes to TCP"
aspect of IFT was vehemently objected to, and I don't
believe a "MUST NOT change TCP in any fashion" consensus
call would have had any chance of success.

> Can we have two TCP framing protocols, one standards
> track and one informational?
> 
> Is there a process for requesting a standards track
> framing if MPA remains as an informational RFC?

Send Draft ... Such questions are far easier to deal with
in the context of a specific concrete proposal.  Keep in
mind that Jim Williams's IFT draft was an initial attempt
to do something in this space ...

Thanks,
--David
----------------------------------------------------
David L. Black, Senior Technologist
EMC Corporation, 176 South St., Hopkinton, MA  01748
+1 (508) 293-7953             FAX: +1 (508) 293-7786
[email-masked]        Mobile: +1 (978) 394-7754
----------------------------------------------------
_______________________________________________
rddp mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rddp